<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% content_for :header_tags do %>
  <%= call_hook :users_show_head %>
<% end %>
<% local_assigns[:additional_breadcrumb] = @user.name %>
<% html_title t(:label_administration), t(:label_user_plural) -%>
<%= breadcrumb_toolbar "#{avatar @user} #{h(@user.name)}".html_safe do %>
  <% if User.current.allowed_globally?(:manage_user) %>
    <li class="toolbar-item">
      <%= link_to edit_user_path(@user), class: 'button', accesskey: accesskey(:edit) do %>
        <%= op_icon('button--icon icon-edit') %>
        <span class="button--text"><%= t(:button_edit) %></span>
      <% end %>
    </li>
  <% end %>
  <% if User.current.allowed_globally?(:create_user) %>
    <li class="toolbar-item hidden-for-tablet">
      <%= form_for(@user, html: { class: 'toolbar-item' },
                 url: { action: :resend_invitation },
                 method: :post) do |_form| %>
        <button class="button" title="<%= t(:tooltip_resend_invitation) %>">
          <%= op_icon('button--icon icon-mail1') %>
          <span class="button--text"><%= t(:label_send_invitation) %></span>
        </button>
      <% end %>
    </li>
  <% end %>
<% end %>
<div class="grid-block grid-block_double-column">
  <div class="grid-content">
    <%= call_hook :view_account_left_top, user: @user %>
    <% if visible_user_information?(@user) %>
      <ul>
        <% if @user.pref.can_expose_mail? %>
          <li><%= User.human_attribute_name(:mail) %>: <%= mail_to(h(escape_javascript(@user.mail)), nil, encode: 'javascript') %></li>
        <% end %>
        <% @user.visible_custom_field_values.each do |custom_value| %>
          <% if custom_value.value.present? %>
            <li><%=h custom_value.custom_field.name%>: <%=h show_value(custom_value) %></li>
          <% end %>
        <% end %>
      </ul>
    <% end %>
    <%= call_hook :view_account_left_middle, user: @user %>
    <% unless @memberships.empty? %>
      <h3><%=t(:label_project_plural)%></h3>
      <ul>
        <% for membership in @memberships %>
          <li>
            <%= link_to_project(membership.project) %>
            (<%=h membership.roles.sort.collect(&:to_s).join(', ') %>, <%= format_date(membership.created_at) %>)
          </li>
        <% end %>
      </ul>
    <% end %>
    <%= call_hook :view_account_left_bottom, user: @user %>
  </div>
  <div class="grid-content">
    <% unless @events.empty? %>
      <h3>
        <%= link_to t(:label_activity), controller: '/activities', action: 'index', id: nil, user_id: @user, from: @events.first.event_datetime %>
      </h3>
      <p>
        <%=t(:label_reported_work_packages)%>: <%= @user.reported_work_package_count %>
      </p>
      <%= render(Activities::DaysComponent.new(events: @events, display_user: false, header_tag: 'h4', activity_page: @activity_page))  %>
      <%= other_formats_links do |f| %>
        <%= f.link_to 'Atom', url: {controller: '/activities', action: 'index', id: nil, user_id: @user, key: User.current.rss_key} %>
      <% end %>
      <% content_for :header_tags do %>
        <%= auto_discovery_link_tag(:atom, controller: '/activities', action: 'index', user_id: @user, format: :atom, key: User.current.rss_key) %>
      <% end %>
    <% end %>
    <%= call_hook :view_account_right_bottom, user: @user %>
  </div>
</div>
<% html_title h(@user.name) %>
